Loading...
Searching...
No Matches
numeric_limits< openvdb::v10_0::math::half > Class Reference

`#include <openvdb/math/HalfLimits.h>`

## Static Public Member Functions

static half | min () throw ()
static half | max () throw ()
static half | epsilon () throw ()
static half | round_error () throw ()
static half | infinity () throw ()
static half | quiet_NaN () throw ()
static half | signaling_NaN () throw ()
static half | denorm_min () throw ()

## Static Public Attributes

static const bool | is_specialized = true
static const int | digits = HALF_MANT_DIG
static const int | digits10 = HALF_DIG
static const bool | is_signed = true
static const bool | is_integer = false
static const bool | is_exact = false
static const int | radix = HALF_RADIX
static const int | min_exponent = HALF_MIN_EXP
static const int | min_exponent10 = HALF_MIN_10_EXP
static const int | max_exponent = HALF_MAX_EXP
static const int | max_exponent10 = HALF_MAX_10_EXP
static const bool | has_infinity = true
static const bool | has_quiet_NaN = true
static const bool | has_signaling_NaN = true
static const float_denorm_style | has_denorm = denorm_present
static const bool | has_denorm_loss = false
static const bool | is_iec559 = false
static const bool | is_bounded = false
static const bool | is_modulo = false
static const bool | traps = true
static const bool | tinyness_before = false
static const float_round_style | round_style = round_to_nearest

## Member Function Documentation

## denorm_min()

half denorm_min | ( |  | ) |
throw | ( | ) |  |  |

inline static

## epsilon()

half epsilon | ( |  | ) |
throw | ( | ) |  |  |

inline static

## infinity()

half infinity | ( |  | ) |
throw | ( | ) |  |  |

inline static

## max()

half max | ( |  | ) |
throw | ( | ) |  |  |

inline static

## min()

half min | ( |  | ) |
throw | ( | ) |  |  |

inline static

## quiet_NaN()

half quiet_NaN | ( |  | ) |
throw | ( | ) |  |  |

inline static

## round_error()

half round_error | ( |  | ) |
throw | ( | ) |  |  |

inline static

## signaling_NaN()

half signaling_NaN | ( |  | ) |
throw | ( | ) |  |  |

inline static

## Member Data Documentation

## digits

const int digits = HALF_MANT_DIG

static

## digits10

const int digits10 = HALF_DIG

static

## has_denorm

const float_denorm_style has_denorm = denorm_present

static

## has_denorm_loss

const bool has_denorm_loss = false

static

## has_infinity

const bool has_infinity = true

static

## has_quiet_NaN

const bool has_quiet_NaN = true

static

## has_signaling_NaN

const bool has_signaling_NaN = true

static

## is_bounded

const bool is_bounded = false

static

## is_exact

const bool is_exact = false

static

## is_iec559

const bool is_iec559 = false

static

## is_integer

const bool is_integer = false

static

## is_modulo

const bool is_modulo = false

static

## is_signed

const bool is_signed = true

static

## is_specialized

const bool is_specialized = true

static

## max_exponent

const int max_exponent = HALF_MAX_EXP

static

## max_exponent10

const int max_exponent10 = HALF_MAX_10_EXP

static

## min_exponent

const int min_exponent = HALF_MIN_EXP

static

## min_exponent10

const int min_exponent10 = HALF_MIN_10_EXP

static

## radix

const int radix = HALF_RADIX

static

## round_style

const float_round_style round_style = round_to_nearest

static

## tinyness_before

const bool tinyness_before = false

static

## traps

const bool traps = true

static